/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package multiunzip;

import java.io.*;
import java.util.*;
import java.util.zip.*;


public class UnzipFile {

  public static final void copyInputStream(InputStream in, OutputStream out)
  throws IOException
  {
    byte[] buffer = new byte[1024];
    int len;

    while((len = in.read(buffer)) >= 0)
      out.write(buffer, 0, len);

    in.close();
    out.close();
  }

  public static Boolean unzipFile( String file, String destPath )
  {
    Enumeration entries;
    ZipFile zipFile;
    
    try {
      zipFile = new ZipFile(file);

      entries = zipFile.entries();

      while(entries.hasMoreElements()) {
        ZipEntry entry = (ZipEntry)entries.nextElement();

        if(entry.isDirectory()) {
          // Assume directories are stored parents first then children.
          System.err.println(" Extracting directory: " + entry.getName());
          // This is not robust, just for demonstration purposes.
          (new File(entry.getName())).mkdir();
          continue;
        }

        System.err.println(" ...... " + entry.getName() );
        copyInputStream(zipFile.getInputStream(entry),
           new BufferedOutputStream(new FileOutputStream(
              destPath + File.separator + entry.getName()
            )));
      }

      zipFile.close();
      return true;
      
    } catch (IOException ioe) {
        
      System.err.println("Unhandled exception:");
      ioe.printStackTrace();
      return false;
      
    }
    
  }

}
